package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 教学点
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("school")
public class School extends Model<School> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;
    @TableField("name_")
    private String name;
    @TableField("organ_id_")
    private Integer organId;
    @TableField("address_")
    private String address;
    @TableField("contact_phone_")
    private String contactPhone;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;
    @TableField("del_flag_")
    private Integer delFlag;
    /**
     * 联系人
     */
    @TableField("contact_name_")
    private String contactName;
    /**
     * 经纬度
     */
    @TableField("longitude_latitude_")
    private String longitudeLatitude;
    /**
     * 补贴
     */
    @TableField("subsidy_")
    private BigDecimal subsidy;
    /**
     * 合作机构编号
     */
    @TableField("cooperation_organ_id_")
    private Integer cooperationOrganId;
    @TableField("remark_")
    private String remark;


    public Integer getId() {
        return id;
    }

    public School setId(Integer id) {
        this.id = id;
        return this;
    }

    public String getName() {
        return name;
    }

    public School setName(String name) {
        this.name = name;
        return this;
    }

    public Integer getOrganId() {
        return organId;
    }

    public School setOrganId(Integer organId) {
        this.organId = organId;
        return this;
    }

    public String getAddress() {
        return address;
    }

    public School setAddress(String address) {
        this.address = address;
        return this;
    }

    public String getContactPhone() {
        return contactPhone;
    }

    public School setContactPhone(String contactPhone) {
        this.contactPhone = contactPhone;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public School setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public School setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public School setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
        return this;
    }

    public String getContactName() {
        return contactName;
    }

    public School setContactName(String contactName) {
        this.contactName = contactName;
        return this;
    }

    public String getLongitudeLatitude() {
        return longitudeLatitude;
    }

    public School setLongitudeLatitude(String longitudeLatitude) {
        this.longitudeLatitude = longitudeLatitude;
        return this;
    }

    public BigDecimal getSubsidy() {
        return subsidy;
    }

    public School setSubsidy(BigDecimal subsidy) {
        this.subsidy = subsidy;
        return this;
    }

    public Integer getCooperationOrganId() {
        return cooperationOrganId;
    }

    public School setCooperationOrganId(Integer cooperationOrganId) {
        this.cooperationOrganId = cooperationOrganId;
        return this;
    }

    public String getRemark() {
        return remark;
    }

    public School setRemark(String remark) {
        this.remark = remark;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "School{" +
        ", id=" + id +
        ", name=" + name +
        ", organId=" + organId +
        ", address=" + address +
        ", contactPhone=" + contactPhone +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", delFlag=" + delFlag +
        ", contactName=" + contactName +
        ", longitudeLatitude=" + longitudeLatitude +
        ", subsidy=" + subsidy +
        ", cooperationOrganId=" + cooperationOrganId +
        ", remark=" + remark +
        "}";
    }
}
